<?php
  

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }



    // #################################################
    // This is your option name where all the Redux data is stored.
    // #################################################

    $opt_name = "ember_options";



    // #################################################
    // Reg js spicifiv to the customizer
    // #################################################

    function ember_customizer_scripts() {

        wp_register_script( 'customizer_scripts', get_template_directory_uri() . '/js/customizer.js', array("jquery"), '', true  );
        wp_enqueue_script( 'customizer_scripts' );

    }
    add_action( 'customize_controls_enqueue_scripts', 'ember_customizer_scripts' );
    
    function ember_customizer_styles() { ?>
    	<style type="text/css">
            .button-ember{background: #e92c6a!important; border-color:#e92c6a!important; -webkit-box-shadow: 0 1px 0 #e92c6a!important; box-shadow: 0 1px 0 #e92c6a!important; color: #fff!important; text-decoration: none!important; text-shadow: 0 -1px 1px #e92c6a,1px 0 1px #e92c6a,0 1px 1px #e92c6a,-1px 0 1px #e92c6a!important;width: 80%!important; margin: 5px auto 5px auto!important; display: block!important; text-align: center!important;margin-top:15px!important;margin-bottom:15px!important;}
            #accordion-section-pro-features>h3.accordion-section-title:before,#accordion-section-slideshow-options>h3.accordion-section-title:before { content: "Pro"!important; position: relative!important; top: -1px!important; margin-left: 0px!important; padding: 3px 6px !important; line-height: 1.5 !important; font-size: 9px !important; color: #ffffff !important; background-color: #e92c6a!important; letter-spacing: 1px!important; text-transform: uppercase!important; -webkit-font-smoothing: subpixel-antialiased !important; }
    	</style>
    <?php }
    add_action( 'customize_controls_print_styles', 'ember_customizer_styles', 20 );



    // #################################################
    // Get Option Helper
    // #################################################

    
    function ember_get_option($optionID, $default_data = false) {
        global $ember_options;

        $options = $ember_options;
        if (isset($options[$optionID])) {
            return $options[$optionID];
        } else {
            return NULL;
        }
    }
    
                    


    // #################################################
    // SET ARGUMENTS
    // #################################################

    $theme = wp_get_theme(); 

    $args = array(
        'opt_name' => 'ember_options',
        'page_title' => 'Ember Theme Options',
        'update_notice' => TRUE,
        'intro_text' => '',
        'footer_text' => '',
        'admin_bar' => TRUE,
        'menu_type' => 'menu',
        'menu_title' => 'Ember Theme Options',
        'allow_sub_menu' => TRUE,
        'page_parent_post_type' => 'your_post_type',
        'customizer' => TRUE,
        'default_mark' => '*',
        'dev_mode' => FALSE,
        'hints' => array(
            'icon_position' => 'right',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        'compiler' => TRUE,
        'page_permissions' => 'manage_options',
        'save_defaults' => FALSE,
        'show_import_export' => TRUE,
        'database' => 'theme_mods',
        'transient_time' => '3600',
        'network_sites' => TRUE,
        'customizer_only' => TRUE,
        'use_cdn' => FALSE,
    );

    Redux::setArgs( $opt_name, $args );



    // #################################################
    // Sections
    // #################################################
         Redux::setSection( $opt_name, array(
        'title'            => __( 'Pro Features', 'ember' ),
        'id'               => 'pro-features',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'     => array(
           array(
                'id'       => 'pro-notes-content',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<h2>Ember Pro Benifits</h2>
                <p>A few of the many reasons to check out Ember Pro:</p>
                <ol>
                    <li><strong>Unlimited Support!</strong></li>
                    <li><strong>Drag & Drop Frontpage Row Ordering</strong></li>
                    <li><strong>Frontpage Row Parallax and Background Support</strong></li>
                    <li><strong>Expanded Social Media Support</strong></li>
                    <li><strong>Frontpage Slideshow</strong></li>
                    <li><strong>Image Logo Support</strong></li>
                    <li><strong>Color & Design Options</strong></li>
                    <li><strong>Typography Options</strong></li>
                    <li><strong>Pro Theme Updates</strong></li>
                </ol>
                <a href="http://www.nimbusthemes.com/wordpress-themes/ember/" class="button button-primary button-ember" target="_blank">Get Ember Pro</a>',
            ),
            array(
                'id'       => 'space3452',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
        ) );   
        
        Redux::setSection( $opt_name, array(
        'title'            => __( 'General', 'ember' ),
        'id'               => 'general_settings',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'     => array(
           array(
                'id'       => 'logo',
                'type'     => 'text',
                'title'    => __('Text Logo', 'ember' ),
                'subtitle' => __('', 'ember' ),
                'desc'     => __('', 'ember' ),
                'default'  => get_bloginfo( 'name' )
            ),
            array(
                'id'       => 'copyright',
                'type'     => 'text',
                'title'    => __('Copyright Text', 'ember' ),
                'subtitle' => __('', 'ember' ),
                'desc'     => __('', 'ember' ),
                'default'  => get_bloginfo( 'name' )
            ),
            array(
                'id'       => 'home-slug',
                'type'     => 'text',
                'title'    => __( 'Top of Homepage Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default shown in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'home',
            ),
            array(
                'id'       => 'space34453',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
        ) );


    Redux::setSection( $opt_name, array(
        'title'            => __( 'Header Social Media', 'ember' ),
        'id'               => 'social',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'social-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Social Icons Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'ember_facebook_url',
                'type'     => 'text',
                'title'    => __( 'Facebook URL', 'ember' ),
                'subtitle' => __( 'Your Facebook page URL.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'ember_linkedin_url',
                'type'     => 'text',
                'title'    => __( 'LinkedIn URL', 'ember' ),
                'subtitle' => __( 'Your LinkedIn page URL.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'ember_twitter_url',
                'type'     => 'text',
                'title'    => __( 'Twitter Feed URL', 'ember' ),
                'subtitle' => __( 'Your Twitter page URL.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'ember_mail_url',
                'type'     => 'text',
                'title'    => __( 'Email Address', 'ember' ),
                'subtitle' => __( 'Your email address.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'social_note',
                'type'     => 'raw',
                'title'    => __( 'Additional Social Media Options', 'ember' ),
                'subtitle' => __( 'Upgrade to the <a href="http://www.nimbusthemes.com/wordpress-themes/ember/">Pro Theme</a> for additional social media options ', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'ember_hide_rss_icon',
                'type'     => 'checkbox',
                'title'    => __( 'Hide RSS Icon', 'ember' ),
                'subtitle' => __( 'Choose to show or hide the rss icon in the header of your website.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '0'// 1 = on | 0 = off
            ),
        )
    ) );
    
    
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Banner', 'ember' ),
        'id'               => 'fp-banner',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px'
        ) );


    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Banner - General', 'ember' ),
        'id'               => 'banner-select',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            array(
                'id'       => 'fp-banner-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Banner Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Banner',
                    '2' => 'Demo',
                    '3' => 'Slideshow'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'fp-banner-background-color',
                'type'     => 'color',
                'output'   => array(
                    'background-color' => '.frontpage-banner'
                ),
                'title'    => __('Row Background Color', 'ember'), 
                'subtitle' => __('Pick a background color for the row.', 'ember'),
                'default'  => '#ea940d',
                'validate' => 'color',
            ),
            array(
                'id'       => 'fp-banner-background-image',
                'type'     => 'media',
                'output'   => array( '.frontpage-banner' ),
                'title'    => __( 'Parallax Row Background', 'ember' ),
                'subtitle' => __( '', 'ember' ),
            ),
        )
    ) );


Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Static Banner', 'ember' ),
        'id'               => 'banner-options',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            
            array(
                'id'       => 'fp-banner-title',
                'type'     => 'text',
                'title'    => __( 'Banner - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the banner. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-banner-sub-title',
                'type'     => 'text',
                'title'    => __( 'Banner - Sub Title', 'ember' ),
                'subtitle' => __( 'This is the smaller text in the banner. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-banner-button-text',
                'type'     => 'text',
                'title'    => __( 'Banner - Button Text', 'ember' ),
                'subtitle' => __( 'This is the button in the banner. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-banner-button-url',
                'type'     => 'text',
                'title'    => __( 'Banner - Button Destination URL', 'ember' ),
                'subtitle' => __( 'This is the button link destination in the banner.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'space2',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    ) 
);



Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Slideshow', 'ember' ),
        'id'               => 'slideshow-options',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            array(
                'id'       => 'slideshow-info',
                'type'     => 'raw',
                'title'    => __( 'Upgrade to Pro', 'ember' ),
                'subtitle' => __( 'With the Pro version of this theme, you will have access to powerful text slideshow options.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<a href="http://www.nimbusthemes.com/wordpress-themes/ember/" class="button button-primary button-ember" target="_blank">Get Ember Pro</a>',
            
            ),
            array(
                'id'       => 'space3',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    ) 
);


    Redux::setSection( $opt_name, array(
        'title'            => __( 'Subpage Banner - General', 'ember' ),
        'id'               => 'sub-banner-select',
        'subsection'       => true,
        'customizer_width' => '450px',
        'desc'             => '',
        'fields'           => array(
            array(
                'id'       => 'sub-banner-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Banner Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'sub-banner-background-color',
                'type'     => 'color',
                'output'   => array(
                    'background-color' => '.subpage-banner'
                ),
                'title'    => __('Row Background Color', 'ember'), 
                'subtitle' => __('Pick a background color for the row.', 'ember'),
                'default'  => '#ea940d',
                'validate' => 'color',
            ),
            array(
                'id'       => 'sub-banner-background-image',
                'type'     => 'media',
                'title'    => __( 'Parallax Row Background', 'ember' ),
                'subtitle' => __( '', 'ember' ),
            ),
        )
    ) );
    

    










Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Featured Section', 'ember' ),
        'id'               => 'fp-featured',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
                        array(
                'id'       => 'featured-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Featured Page Section Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'featured-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate Featured Content', 'ember' ),
                'subtitle' => __( 'To populate the featured content section, you will need to add featured content widgets to the Frontpage Featured widget areas. Go to the Widgets section under Apperance in the left sidebar.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-featured-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'featured',
            ),
            array(
                'id'       => 'space4',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            )
        )
    )
);



Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Action Row #1', 'ember' ),
        'id'               => 'fp-action1',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-action1-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Action Row Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'fp-action1-title',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the Action Row #1 section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-sub-title',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Sub Title', 'ember' ),
                'subtitle' => __( 'This is the smaller text in the Action Row #1 section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-button-text',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Button Text', 'ember' ),
                'subtitle' => __( 'This is the text in the button. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-button-url',
                'type'     => 'text',
                'title'    => __( 'Action Row #1 - Button URL', 'ember' ),
                'subtitle' => __( 'This is link destination for the button. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action1-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box. ', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'action1',
            ),
            array(
                'id'       => 'space',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            )
        )
    )
);   






Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage About Section', 'ember' ),
        'id'               => 'fp-about',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-about-toggle',
                'type'     => 'button_set',
                'title'    => __( 'About Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'fp-about-title',
                'type'     => 'text',
                'title'    => __( 'About - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the about section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-about-sub-title',
                'type'     => 'text',
                'title'    => __( 'About - Sub Title', 'ember' ),
                'subtitle' => __( 'This is the smaller text in the about section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-about-description',
                'type'     => 'text',
                'title'    => __( 'About - Description', 'ember' ),
                'subtitle' => __( 'This is the smallest text in the about section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'about-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate About Content', 'ember' ),
                'subtitle' => __( 'To populate the About content section, you will need to add About content widgets to the Frontpage About widget areas. Go to the Widgets section under Apperance in the left sidebar.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-about-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'about',
            ),
            array(
                'id'       => 'space6',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    )
);



    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Testimonial Section', 'ember' ),
        'id'               => 'fp-test',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-test-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Testimonial Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),

            array(
                'id'       => 'fp-test-title',
                'type'     => 'text',
                'title'    => __( 'Testimonial - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the testimonial section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-description',
                'type'     => 'textarea',
                'title'    => __( 'Testimonial', 'ember' ),
                'subtitle' => __( 'This is the main body of the testimonial section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-tag',
                'type'     => 'text',
                'title'    => __( 'Testimonial - Name', 'ember' ),
                'subtitle' => __( 'This is the name under the testimonial section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-test-tag-url',
                'type'     => 'text',
                'title'    => __( 'Testimonial - Website Link', 'ember' ),
                'subtitle' => __( 'This is the link applied to the name above.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
                        array(
                'id'       => 'fp-test-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box. ', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'test',
            ),
        )
    ) );







Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Team Section', 'ember' ),
        'id'               => 'fp-team',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-team-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Team Section Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'fp-team-title',
                'type'     => 'text',
                'title'    => __( 'Team - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the featured section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-team-sub-title',
                'type'     => 'text',
                'title'    => __( 'Team - Sub Title', 'ember' ),
                'subtitle' => __( 'This is the smaller text in the featured section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'team-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate Team Content', 'ember' ),
                'subtitle' => __( 'To populate the Team section, you will need to add Team member widgets to the Team Member widget areas.  Go to the Widgets section under Apperance in the left sidebar.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-team-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'team',
            ),
            array(
                'id'       => 'space8',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    )
);


Redux::setSection( $opt_name, 
    array(
        'title'            => __( 'Frontpage Action Row #2', 'ember' ),
        'id'               => 'fp-action2',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-action2-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Frontpage Action Row Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'fp-action2-title',
                'type'     => 'text',
                'title'    => __( 'Action Row #2 - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the Action Row #2 section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action2-button-text',
                'type'     => 'text',
                'title'    => __( 'Action Row #2 - Button Text', 'ember' ),
                'subtitle' => __( 'This is the text in the button. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action2-button-url',
                'type'     => 'text',
                'title'    => __( 'Action Row #2 - Button URL', 'ember' ),
                'subtitle' => __( 'This is link destination for the button. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-action2-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'action2',
            ),
            array(
                'id'       => 'space7',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    )
);

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Social Media Section', 'ember' ),
        'id'               => 'fp-social',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-social-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Social Row Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'social-widget-note',
                'type'     => 'raw',
                'title'    => __( 'Populate Social Media Section Content', 'ember' ),
                'subtitle' => __( 'To populate the Social Media section, you will need to add Social Meida widgets to the Social Media widget areas.  Go to the Widgets section under Apperance in the left sidebar.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
            array(
                'id'       => 'fp-social-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'social',
            ),
            array(
                'id'       => 'space9',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage News Section', 'ember' ),
        'id'               => 'fp-news',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'fp-news-toggle',
                'type'     => 'button_set',
                'title'    => __( 'News Row Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Hide'
                ),
                'default'  => '1'
            ),
            array(
                'id'       => 'news-note',
                'type'     => 'raw',
                'title'    => __( 'About News Section', 'ember' ),
                'subtitle' => __( 'You can use this section as either a feed that displays your latest blog posts (the # of posts specified in Settings > Reading > #2), or a page. If you want the Blog to be a separate page completely go to Settings > Reading and make sure Frontpage displays... A static page... and select the HOME page (and create a HOME page if you have not already). Then, create a BLOG page and set the BLOG page as the Posts page option in Settings > Reading. If you do not want the blog to be displayed separately, then set Frontpage displays... Your latest posts.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '',
            ),
            array(
                'id'       => 'fp-news-title',
                'type'     => 'text',
                'title'    => __( 'News - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the news section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-news-sub-title',
                'type'     => 'text',
                'title'    => __( 'News - Sub Title', 'ember' ),
                'subtitle' => __( 'This is the smaller text in the news section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-news-slug',
                'type'     => 'text',
                'title'    => __( 'Navigation Menu ID', 'ember' ),
                'subtitle' => __( 'The frontpage section IDs (what shows up in the hover state and the address bar when clicked) have already been set to a default show in this field. If you would like to change the ID so that a different term comes up in the slug for that section (ie. http://mysite.com/#top instead of /#home), then change the term below for the corresponding section. You will also want to add the custom menu items in the Menus section of your dashboard (click "Links," then add the entire URL, such as http://mysite.com/#top). IMPORTANT: You must also add this term to the title field in the menu editor. If you do not see this field you may have to activate it by selecting the Screen Options tab in the top right of the page and then checking the Title Attribute box.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => 'news',
            ),
            array(
                'id'       => 'fp-news-thumbs-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Example Images Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Hide'
                ),
                'default'  => '1'
            ),
            array(
                'id'       => 'space10',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    ) );




    Redux::setSection( $opt_name, array(
        'title'            => __( 'Frontpage Contact Section', 'ember' ),
        'id'               => 'fp-contact',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'contact-toggle',
                'type'     => 'button_set',
                'title'    => __( 'Contact Row Status', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    '1' => 'Show',
                    '2' => 'Demo',
                    '3' => 'Hide'
                ),
                'default'  => '2'
            ),
            array(
                'id'       => 'fp-contact-title',
                'type'     => 'text',
                'title'    => __( 'Contact - Main Title', 'ember' ),
                'subtitle' => __( 'This is the big text in the contact section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'fp-contact-sub-title',
                'type'     => 'text',
                'title'    => __( 'Contact - Sub Title', 'ember' ),
                'subtitle' => __( 'This is the smaller text in the contact section. Leave blank to hide.', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'contact-mailto',
                'type'     => 'text',
                'title'    => __( 'Mailto Email', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'contact-mailfrom',
                'type'     => 'text',
                'title'    => __( 'Mailfrom Email', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'default'  => '',
            ),
            array(
                'id'       => 'space11',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Blog Settings', 'ember' ),
        'id'               => 'blog-settings',
        'desc'             => __( '', 'ember' ),
        'customizer_width' => '450px',
        'fields'           => array(
            array(
                'id'       => 'ember_blog_sidebar_position',
                'type'     => 'button_set',
                'title'    => __( 'Blog Sidebar Position', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'options'  => array(
                    'right' => 'Right',
                    'left' => 'Left'
                ),
                'default'  => 'left'
            ),
            array(
                'id'       => 'space11sdgf',
                'type'     => 'raw',
                'title'    => __( '', 'ember' ),
                'subtitle' => __( '', 'ember' ),
                'desc'     => __( '', 'ember' ),
                'content'  => '<br><br>',
            ),
        )
    ) );


/* * *************************************************************************************************** */
// Pages
/* * *************************************************************************************************** */

function ember_pages_arr() {

    $pages = array();
    $get_pages = get_pages('sort_column=post_parent,menu_order');
    foreach ($get_pages as $page) {
        $pages[$page->ID] = $page->post_title;
    }
    return $pages;
}
function ember_random_page(){
    $get_pages = get_pages();
    if(!empty($get_pages)) {
        shuffle($get_pages);
        $page = $get_pages[0]->ID;
    } else {
        $page = "";
    }
    return $page;

}

function ember_fontawesome() {

    $i = array("fa-heart" => __('Heart', 'ember' ),
        "fa-bomb" => __('Bomb', 'ember' ),
        "fa-paper-plane" => __('Paper Plane', 'ember' ),
        "fa-wordpress" => __('WordPress', 'ember' ),
        "fa-arrow-right" => __('Arrow Right', 'ember' ),
        "fa-arrow-left" => __('Arrow Left', 'ember' ),
        "fa-bolt" => __('Bolt', 'ember' ),
        "fa-cloud" => __('Cloud', 'ember' ),
        "fa-coffee" => __('Coffee', 'ember' ),
        "fa-bullseye" => __('Bullseye', 'ember' ),
        "fa-key" => __('Key', 'ember' )        
        );
    return $i;
}